View | Details | Raw Unified | Return to bug 253586 | Differences between
and this patch

Collapse All | Expand All

(-)files/patch-freebsd-Makefile (-1 / +1 lines)
Lines 10-16 Link Here
10
-NOOBJ=		yes
10
-NOOBJ=		yes
11
-NOPROFILE=	yes
11
-NOPROFILE=	yes
12
+MK_PROFILE=	no
12
+MK_PROFILE=	no
13
+NO_WERROR=	yes
13
+MK_ASSERT_DEBUG=no
14
 
14
 
15
 LIBDIR=		${ORACLE_HOME}/lib
15
 LIBDIR=		${ORACLE_HOME}/lib
16
 
16
 
(-)files/patch-freebsd-redefine-syms.sh (+12 lines)
Line 0 Link Here
1
--- freebsd/redefine-syms.sh.orig	2005-06-09 18:22:58.000000000 +0800
2
+++ freebsd/redefine-syms.sh	2021-02-18 13:47:59.275802000 +0700
3
@@ -1,4 +1,8 @@
4
 #!/bin/sh
5
+( status=0
6
 for i in $*; do
7
 	objcopy --redefine-syms=redefine-syms.lst "$i"
8
-done
9
+	status=$(($status + $?))
10
+done 2>&1 >&3 | fgrep -v increased >&2
11
+  exit $status
12
+) 3>&1

Return to bug 253586